com.corticon.rulesemf.common

## Interface Asset

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    OperatorTree, RootExtension, RuleflowAsset, RulesheetAsset, RuletestAsset, TestsheetAsset

      public interface Asset
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Asset'.

  The following features are supported:

  - `Language Code`
  - `Major Version Number`
  - `Minor Version Number`
  - `Major Service Number`
  - `Minor Service Number`
  - `Build Number`
  - `Update Stamp`
  - `Validation Request`
  - `External Checksum`
  - `Read Only`
  - `Validation Messages`
  See Also:
    `CommonPackage.getAsset()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBuildNumber()` Returns the value of the 'Build Number' attribute
    `java.lang.String` | `getExternalChecksum()` Returns the value of the 'External Checksum' attribute
    `org.eclipse.emf.common.util.EList` | `getLanguageCode()` Returns the value of the 'Language Code' attribute list.
    `int` | `getMajorServiceNumber()` Returns the value of the 'Major Service Number' attribute
    `int` | `getMajorVersionNumber()` Returns the value of the 'Major Version Number' attribute
    `int` | `getMinorServiceNumber()` Returns the value of the 'Minor Service Number' attribute
    `int` | `getMinorVersionNumber()` Returns the value of the 'Minor Version Number' attribute
    `java.util.List` | `getResourcesReferenced()` Returns a list of all resources referenced by this asset.
    `java.util.List` | `getResourceURIsReferenced()` Returns a list of all resource URIs referenced by this asset.
    `java.lang.String` | `getUpdateStamp()` Returns the value of the 'Update Stamp' attribute
    `org.eclipse.emf.common.util.EList` | `getValidationMessages()` Returns the value of the 'Validation Messages' containment reference list.
    `int` | `getValidationRequest()` Returns the value of the 'Validation Request' attribute
    `boolean` | `isReadOnly()` Returns the value of the 'Read Only' attribute
    `void` | `setBuildNumber(int value)` Sets the value of the '`Build Number`' attribute
    `void` | `setExternalChecksum(java.lang.String value)` Sets the value of the '`External Checksum`' attribute
    `void` | `setMajorServiceNumber(int value)` Sets the value of the '`Major Service Number`' attribute
    `void` | `setMajorVersionNumber(int value)` Sets the value of the '`Major Version Number`' attribute
    `void` | `setMinorServiceNumber(int value)` Sets the value of the '`Minor Service Number`' attribute
    `void` | `setMinorVersionNumber(int value)` Sets the value of the '`Minor Version Number`' attribute
    `void` | `setReadOnly(boolean value)` Sets the value of the '`Read Only`' attribute
    `void` | `setUpdateStamp(java.lang.String value)` Sets the value of the '`Update Stamp`' attribute
    `void` | `setValidationRequest(int value)` Sets the value of the '`Validation Request`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLanguageCode

          org.eclipse.emf.common.util.EList getLanguageCode()

      Returns the value of the 'Language Code' attribute list. The list contents are of type `LanguageCode`. The literals are from the enumeration `LanguageCode`.

      If the meaning of the 'Language Code' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Language Code' attribute list.
      See Also:
        `LanguageCode`, `CommonPackage.getAsset_LanguageCode()`

    - #### getMajorVersionNumber

          int getMajorVersionNumber()

      Returns the value of the 'Major Version Number' attribute.

      If the meaning of the 'Major Version Number' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Major Version Number' attribute.
      See Also:
        `setMajorVersionNumber(int)`, `CommonPackage.getAsset_MajorVersionNumber()`

    - #### setMajorVersionNumber

          void setMajorVersionNumber(int value)

      Sets the value of the '`Major Version Number`' attribute.
      Parameters:
        `value` - the new value of the 'Major Version Number' attribute.
      See Also:
        `getMajorVersionNumber()`

    - #### getMinorVersionNumber

          int getMinorVersionNumber()

      Returns the value of the 'Minor Version Number' attribute.

      If the meaning of the 'Minor Version Number' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Minor Version Number' attribute.
      See Also:
        `setMinorVersionNumber(int)`, `CommonPackage.getAsset_MinorVersionNumber()`

    - #### setMinorVersionNumber

          void setMinorVersionNumber(int value)

      Sets the value of the '`Minor Version Number`' attribute.
      Parameters:
        `value` - the new value of the 'Minor Version Number' attribute.
      See Also:
        `getMinorVersionNumber()`

    - #### getMajorServiceNumber

          int getMajorServiceNumber()

      Returns the value of the 'Major Service Number' attribute.

      If the meaning of the 'Major Service Number' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Major Service Number' attribute.
      See Also:
        `setMajorServiceNumber(int)`, `CommonPackage.getAsset_MajorServiceNumber()`

    - #### setMajorServiceNumber

          void setMajorServiceNumber(int value)

      Sets the value of the '`Major Service Number`' attribute.
      Parameters:
        `value` - the new value of the 'Major Service Number' attribute.
      See Also:
        `getMajorServiceNumber()`

    - #### getMinorServiceNumber

          int getMinorServiceNumber()

      Returns the value of the 'Minor Service Number' attribute.

      If the meaning of the 'Minor Service Number' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Minor Service Number' attribute.
      See Also:
        `setMinorServiceNumber(int)`, `CommonPackage.getAsset_MinorServiceNumber()`

    - #### setMinorServiceNumber

          void setMinorServiceNumber(int value)

      Sets the value of the '`Minor Service Number`' attribute.
      Parameters:
        `value` - the new value of the 'Minor Service Number' attribute.
      See Also:
        `getMinorServiceNumber()`

    - #### getBuildNumber

          int getBuildNumber()

      Returns the value of the 'Build Number' attribute.

      If the meaning of the 'Build Number' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Build Number' attribute.
      See Also:
        `setBuildNumber(int)`, `CommonPackage.getAsset_BuildNumber()`

    - #### setBuildNumber

          void setBuildNumber(int value)

      Sets the value of the '`Build Number`' attribute.
      Parameters:
        `value` - the new value of the 'Build Number' attribute.
      See Also:
        `getBuildNumber()`

    - #### getUpdateStamp

          java.lang.String getUpdateStamp()

      Returns the value of the 'Update Stamp' attribute.

      If the meaning of the 'Update Stamp' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Update Stamp' attribute.
      See Also:
        `setUpdateStamp(String)`, `CommonPackage.getAsset_UpdateStamp()`

    - #### getResourcesReferenced

          java.util.List getResourcesReferenced()

      Returns a list of all resources referenced by this asset.
      Returns:
        List of resources referenced by this asset.

    - #### getResourceURIsReferenced

          java.util.List getResourceURIsReferenced()

      Returns a list of all resource URIs referenced by this asset.
      Returns:
        List of resource URIs referenced by this asset.

    - #### setUpdateStamp

          void setUpdateStamp(java.lang.String value)

      Sets the value of the '`Update Stamp`' attribute.
      Parameters:
        `value` - the new value of the 'Update Stamp' attribute.
      See Also:
        `getUpdateStamp()`

    - #### getValidationRequest

          int getValidationRequest()

      Returns the value of the 'Validation Request' attribute.

      If the meaning of the 'Validation Request' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Validation Request' attribute.
      See Also:
        `setValidationRequest(int)`, `CommonPackage.getAsset_ValidationRequest()`

    - #### setValidationRequest

          void setValidationRequest(int value)

      Sets the value of the '`Validation Request`' attribute.
      Parameters:
        `value` - the new value of the 'Validation Request' attribute.
      See Also:
        `getValidationRequest()`

    - #### getExternalChecksum

          java.lang.String getExternalChecksum()

      Returns the value of the 'External Checksum' attribute.

      If the meaning of the 'External Checksum' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'External Checksum' attribute.
      See Also:
        `setExternalChecksum(String)`, `CommonPackage.getAsset_ExternalChecksum()`

    - #### setExternalChecksum

          void setExternalChecksum(java.lang.String value)

      Sets the value of the '`External Checksum`' attribute.
      Parameters:
        `value` - the new value of the 'External Checksum' attribute.
      See Also:
        `getExternalChecksum()`

    - #### isReadOnly

          boolean isReadOnly()

      Returns the value of the 'Read Only' attribute.

      If the meaning of the 'Read Only' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Read Only' attribute.
      See Also:
        `setReadOnly(boolean)`, `CommonPackage.getAsset_ReadOnly()`

    - #### setReadOnly

          void setReadOnly(boolean value)

      Sets the value of the '`Read Only`' attribute.
      Parameters:
        `value` - the new value of the 'Read Only' attribute.
      See Also:
        `isReadOnly()`

    - #### getValidationMessages

          org.eclipse.emf.common.util.EList getValidationMessages()

      Returns the value of the 'Validation Messages' containment reference list. The list contents are of type `ValidationMessage`.

      If the meaning of the 'Validation Messages' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Validation Messages' containment reference list.
      See Also:
        `CommonPackage.getAsset_ValidationMessages()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.